#pragma once
#ifndef _SCENE_H_INCLUDED
#define _SCENE_H_INCLUDED

#include "Player.h"
#include "Enemy.h"
#include "Resource.h"

//Sceneの定数
//0:タイトル
//1:ゲーム前
//2:ゲーム中
//3:ゲームオーバー
//4:ゲームクリア

//-1:ゲームを終了
enum {
	SCENE_TITLE = 0,
	SCENE_PREPARE_GAME,
	SCENE_GAME,
	SCENE_RESULT,
	SCENE_SHUTDONW = -1
};

struct {
	Player player;
	Mobs mobs;
	Resource rs;
	int is_clear;
	Enemy ens[4];
	Bullet enemy_bullet[2];

	int count_timer;

	int screen = -1;
	int screen_move_count = 0;
	int fps_count = 0;
	int fps_ave = 0;
	double fps = 0;
}typedef GameInformation;


//Scene関数の宣言
extern int TitleScene(GameInformation * gi);
extern int PrepareScene(GameInformation * gi);
extern int GameScene(GameInformation * gi);
extern int GameResultScene(GameInformation * gi);


extern void ScreenFlip2(GameInformation * gi);





#endif

